MyBB Central

Full Version: [TUT] Converting plugins from 1.4 to 1.6
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Pages: 1 2
Introduction: In this tutorial I'm going to teach you how to convert plugins for 1.4 to install for 1.6, this will be useful for people wanting the great 1.4 plugins available.

Step 1,
Extract your plugin from the zip on your computer and go to inc>plugins>PLUGIN_NAME_HERE.php and edit it with notepad.


Step 2,
Hit CTRL+F and search for:
Code:
"compatibility" =


Step 2,
It usually shows something similar to this at the end of the compatibility for 1.4:
Code:
"compatibility" => "14*"
change it too:
Code:
"compatibility" => "*"
It should work without saying anything about version campatibility anymore!
Doesn't always work tho.
Your tutorial title is misleading.

You are infact forcing a 1.4 plugin to work on 1.6.

Converting plugins means to re-test the code and modify where needed.
This has already been posted anyways.
This is a direct c+p from one of labrocca's old threads or an announcement. i forget which, but it's EXACTLY the same.
(Sep 30, 2010, 07:36 PM)booher Wrote: [ -> ]This is a direct c+p from one of labrocca's old threads or an announcement. i forget which, but it's EXACTLY the same.

No I wrote this completely myself.
Would this work for awards?
On profiles, and post.
1.4 plugins may not work for 1.6 though you make it installed by changing the variable "14*"
Good tutorial but this is posted all over.
It does work for like 50% of them but it's not 100% error free if you do it this way.
I have posted something like this a while ago, however in most cases this does not work.
If it is a larger more advanced plugin with a lot of php, you will have to recode most of it for its functionality to work.
This does work with smaller plugins, but dont always count on this working.
Pages: 1 2